// CMSC427
// File: HelixFly.pde
// R. Eastman
// Parametric helix
// Illustrates 3D cuve

void setup() {
size(600,600,P3D);
colorMode(HSB,360,100,100);
}

void draw() {
background(0,0,0);
translate(width/2,height/2);
rotateY(mouseX*PI/width);
rotateX(mouseY*PI/height);
 for (float t = 0; t < 10*2*PI; t+=0.2) {
    float x = 100*cos(t);
    float y = 10*t;
    float z = 100*sin(t);
    fill(1.3*(x+100),10*y,100,128);
    pushMatrix();
      translate(x,400-y,z);
      box(10);
    popMatrix();
  }
}